AdminOperationsProtocol (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface AdminOperationsProtocol

All Superinterfaces:
  VersionedProtocol

All Known Implementing Classes:
  JobTracker

    public interface AdminOperationsProtocol

extends VersionedProtocol

Protocol for admin operations. This is a framework-public interface and is NOT_TO_BE_USED_BY_USERS_DIRECTLY.

Field Summary
`static long` | `versionID` Version 1: Initial version.

Method Summary
`void` | `refreshNodes()` Refresh the node list at the `JobTracker`
`void` | `refreshQueues()` Refresh the queue acls in use currently.
`boolean` | `setSafeMode(JobTracker.SafeModeAction safeModeAction)` Set safe mode for the JobTracker.

Methods inherited from interface org.apache.hadoop.ipc.VersionedProtocol
`getProtocolVersion`

Field Detail

### versionID

    static final long versionID

  Version 1: Initial version. Added refreshQueueAcls. Version 2: Added node refresh facility Version 3: Changed refreshQueueAcls to refreshQueues

  See Also:
    Constant Field Values

Method Detail

### refreshQueues

    void refreshQueues()
                       throws IOException

  Refresh the queue acls in use currently. Refresh the queues used by the jobtracker and scheduler. Access control lists and queue states are refreshed.

  Throws:
    `IOException`

### refreshNodes

    void refreshNodes()
                      throws IOException

  Refresh the node list at the `JobTracker`

  Throws:
    `IOException`

### setSafeMode

    boolean setSafeMode(JobTracker.SafeModeAction safeModeAction)
                        throws IOException

  Set safe mode for the JobTracker.

  Parameters:
    `safeModeAction` - safe mode action
  Returns:
    current safemode
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation